<h1 align="center">
  @hexadrop/types
</h1>

<p align="center">
  A useful collection of types for TypeScript projects.
</p>

## Installation

```bash
npm install --save @hexadrop/types
```

**Using bun**

```bash
bun add @hexadrop/types
```

## Hexadrop Code Quality Standards

Publishing this package we are committing ourselves to the following code quality standards:

-   Respect **Semantic Versioning**: No breaking changes in patch or minor versions
-   No surprises in transitive dependencies: Use the **bare minimum dependencies** needed to meet the purpose
-   **One specific purpose** to meet without having to carry a bunch of unnecessary other utilities
-   **Tests** as documentation and usage examples
-   **Well documented README** showing how to install and use
-   **License favoring Open Source** and collaboration
